Index: src/mlx/gui/statusicon.py
===================================================================
--- src/mlx/gui/statusicon.py	(revision 544)
+++ src/mlx/gui/statusicon.py	(revision 998)
@@ -1,4 +1,4 @@
 
-from common import *
+from .common import *
 
 import mlx.const as const
@@ -30,20 +30,20 @@
         self._selfToggling = False
 
-        menu = gtk.Menu()
+        menu = Gtk.Menu()
 
         if appIndicator:
-            self._stageMenuItem = gtk.MenuItem("-")
+            self._stageMenuItem = Gtk.MenuItem("-")
             self._stageMenuItem.show()
             menu.append(self._stageMenuItem)
 
-            self._ratingMenuItem = gtk.MenuItem("-")
+            self._ratingMenuItem = Gtk.MenuItem("-")
             self._ratingMenuItem.show()
             menu.append(self._ratingMenuItem)
 
-            separator = gtk.SeparatorMenuItem()
+            separator = Gtk.SeparatorMenuItem()
             separator.show()
             menu.append(separator)
 
-        self._showHideMenuItem = gtk.CheckMenuItem()
+        self._showHideMenuItem = Gtk.CheckMenuItem()
         self._showHideMenuItem.set_label(xstr("statusicon_showmain"))
         self._showHideMenuItem.set_active(True)
@@ -52,5 +52,5 @@
         menu.append(self._showHideMenuItem)
 
-        self._showMonitorMenuItem = gtk.CheckMenuItem()
+        self._showMonitorMenuItem = Gtk.CheckMenuItem()
         self._showMonitorMenuItem.set_label(xstr("statusicon_showmonitor"))
         self._showMonitorMenuItem.set_active(False)
@@ -59,9 +59,9 @@
         menu.append(self._showMonitorMenuItem)
 
-        separator = gtk.SeparatorMenuItem()
+        separator = Gtk.SeparatorMenuItem()
         separator.show()
         menu.append(separator)
 
-        self._quitMenuItem = gtk.MenuItem()
+        self._quitMenuItem = Gtk.MenuItem()
         self._quitMenuItem.set_label(xstr("statusicon_quit"))
         self._quitMenuItem.show()
@@ -74,12 +74,7 @@
 
         if appIndicator:
-            if pygobject:
-                indicator = appindicator.Indicator.new ("mava-logger-x", iconFile,
-                                                        appindicator.IndicatorCategory.APPLICATION_STATUS)
-                indicator.set_status (appindicator.IndicatorStatus.ACTIVE)
-            else:
-                indicator = appindicator.Indicator ("mava-logger-x", iconFile,
-                                                    appindicator.CATEGORY_APPLICATION_STATUS)
-                indicator.set_status (appindicator.STATUS_ACTIVE)
+            indicator = AppIndicator3.Indicator.new ("mava-logger-x", iconFile,
+                                                     AppIndicator3.IndicatorCategory.APPLICATION_STATUS)
+            indicator.set_status (AppIndicator3.IndicatorStatus.ACTIVE)
 
             indicator.set_menu(menu)
@@ -87,8 +82,8 @@
         else:
             def popup_menu(status, button, time):
-                menu.popup(None, None, gtk.status_icon_position_menu,
+                menu.popup(None, None, Gtk.status_icon_position_menu,
                            button, time, status)
 
-            statusIcon = gtk.StatusIcon()
+            statusIcon = Gtk.StatusIcon()
             statusIcon.set_from_file(iconFile)
             statusIcon.set_visible(True)
@@ -127,8 +122,5 @@
         """Hide and destroy the status icon."""
         if appIndicator:
-            if pygobject:
-                self._indicator.set_status(appindicator.IndicatorStatus.PASSIVE)
-            else:
-                self._indicator.set_status(appindicator.STATUS_PASSIVE)
+            self._indicator.set_status(AppIndicator3.IndicatorStatus.PASSIVE)
         else:
             self._statusIcon.set_visible(False)
@@ -154,5 +146,5 @@
     def _updateFlightStatus(self):
         """Update the flight status."""
-        stage = u"-" if self._stage is None \
+        stage = "-" if self._stage is None \
                 else xstr("flight_stage_" + const.stage2string(self._stage))
 
@@ -172,5 +164,5 @@
             if self._noGoReason is not None:
                 rating = '<span foreground="red">' + rating + '</span>'
-            markup = u"MAVA Logger X %s\n\n%s: %s\n%s: %s" %\
+            markup = "MAVA Logger X %s\n\n%s: %s\n%s: %s" %\
                      (const.VERSION, xstr("statusicon_stage"), stage,
                       xstr("statusicon_rating"), rating)
Index: src/mlx/gui/timetable.py
===================================================================
--- src/mlx/gui/timetable.py	(revision 879)
+++ src/mlx/gui/timetable.py	(revision 1013)
@@ -4,5 +4,5 @@
 
 from mlx.gui.common import *
-from flightlist import ColumnDescriptor
+from .flightlist import ColumnDescriptor
 from mlx.rpc import ScheduledFlight
 
@@ -14,9 +14,9 @@
 #-----------------------------------------------------------------------------
 
-class Timetable(gtk.Alignment):
+class Timetable(Gtk.Alignment):
     """The widget for the time table."""
     def _getVIPRenderer():
         """Get the renderer for the VIP column."""
-        renderer = gtk.CellRendererToggle()
+        renderer = Gtk.CellRendererToggle()
         renderer.set_activatable(True)
         return renderer
@@ -74,17 +74,15 @@
             columnDescriptor.appendType(types)
 
-        self._model = gtk.ListStore(*types)
+        self._model = Gtk.ListStore(*types)
         if defaultSortableIndex is not None:
-            sortOrder = SORT_DESCENDING \
+            sortOrder = Gtk.SortType.DESCENDING \
               if self._columnDescriptors[defaultSortableIndex-1]._defaultDescending \
-              else SORT_ASCENDING
+              else Gtk.SortType.ASCENDING
             self._model.set_sort_column_id(defaultSortableIndex, sortOrder)
-        self._view = gtk.TreeView(self._model)
-
-        self._tooltips = gtk.Tooltips()
-        self._tooltips.disable()
+        self._view = Gtk.TreeView(self._model)
+
         self._view.connect("motion-notify-event", self._updateTooltip)
 
-        flightPairIndexColumn = gtk.TreeViewColumn()
+        flightPairIndexColumn = Gtk.TreeViewColumn()
         flightPairIndexColumn.set_visible(False)
         self._view.append_column(flightPairIndexColumn)
@@ -104,15 +102,12 @@
         selection.connect("changed", self._selectionChanged)
 
-        scrolledWindow = gtk.ScrolledWindow()
+        scrolledWindow = Gtk.ScrolledWindow()
         scrolledWindow.add(self._view)
         scrolledWindow.set_size_request(800, -1)
 
         # FIXME: these should be constants in common.py
-        scrolledWindow.set_policy(gtk.PolicyType.AUTOMATIC if pygobject
-                                  else gtk.POLICY_AUTOMATIC,
-                                  gtk.PolicyType.AUTOMATIC if pygobject
-                                  else gtk.POLICY_AUTOMATIC)
-        scrolledWindow.set_shadow_type(gtk.ShadowType.IN if pygobject
-                                       else gtk.SHADOW_IN)
+        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                  Gtk.PolicyType.AUTOMATIC)
+        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
 
         super(Timetable, self).__init__(xalign = 0.5, yalign = 0.0,
@@ -180,5 +175,5 @@
     def _buttonPressEvent(self, widget, event):
         """Called when a mouse button is pressed or released."""
-        if event.type!=EVENT_BUTTON_PRESS or event.button!=3 or \
+        if event.type!=Gdk.EventType.BUTTON_PRESS or event.button!=3 or \
            self._popupMenuProducer is None:
             return
@@ -193,8 +188,5 @@
             self._popupMenu = self._popupMenuProducer()
         menu = self._popupMenu
-        if pygobject:
-            menu.popup(None, None, None, None, event.button, event.time)
-        else:
-            menu.popup(None, None, None, event.button, event.time)
+        menu.popup(None, None, None, None, event.button, event.time)
 
     def _selectionChanged(self, selection):
@@ -225,6 +217,5 @@
             result = widget.get_path_at_pos( int(event.x), int(event.y))
             if result is None:
-                self._tooltips.set_tip(widget, "")
-                self._tooltips.disable()
+                widget.set_tooltip_text("")
             else:
                 (path, col, x, y) = result
@@ -244,17 +235,22 @@
                         text += date.strftime("%Y-%m-%d")
 
-                    self._tooltips.set_tip(widget, text)
-                    self._tooltips.enable()
+                    widget.set_tooltip_text(text)
                 else:
-                    self._tooltips.set_tip(widget, "")
-                    self._tooltips.disable()
-        except Exception, e:
-            print e
-            self._tooltips.set_tip(widget, "")
-            self._tooltips.disable()
+                    widget.set_tooltip_text("")
+        except Exception as e:
+            print(e)
+            widget.set_tooltip_text("")
 
 #-----------------------------------------------------------------------------
 
-class CalendarWindow(gtk.Window):
+GObject.signal_new("row-activated", Timetable, GObject.SIGNAL_RUN_FIRST,
+                   None, (int,))
+
+GObject.signal_new("selection-changed", Timetable, GObject.SIGNAL_RUN_FIRST,
+                   None, (object,))
+
+#-----------------------------------------------------------------------------
+
+class CalendarWindow(Gtk.Window):
     """A window for a calendar."""
     def __init__(self):
@@ -266,10 +262,10 @@
         self.connect("key-press-event", self._keyPressed)
 
-        mainAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        mainAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 1.0, yscale = 1.0)
         #mainAlignment.set_padding(padding_top = 0, padding_bottom = 12,
         #                              padding_left = 8, padding_right = 8)
 
-        self._calendar = gtk.Calendar()
+        self._calendar = Gtk.Calendar()
         self._calendar.connect("day-selected-double-click", self._daySelectedDoubleClick)
         mainAlignment.add(self._calendar)
@@ -296,5 +292,5 @@
         If the Escape key is pressed, 'delete-event' is emitted to close the
         window."""
-        keyName = gdk.keyval_name(event.keyval)
+        keyName = Gdk.keyval_name(event.keyval)
         if keyName =="Escape":
             self.emit("delete-event", None)
@@ -304,10 +300,10 @@
             return True
 
-gobject.signal_new("date-selected", CalendarWindow, gobject.SIGNAL_RUN_FIRST,
+GObject.signal_new("date-selected", CalendarWindow, GObject.SIGNAL_RUN_FIRST,
                    None, ())
 
 #-----------------------------------------------------------------------------
 
-class BookDialog(gtk.Dialog):
+class BookDialog(Gtk.Dialog):
     """The dialog box to select additional data for a booking."""
     def __init__(self, timetableWindow, flightPair, planes):
@@ -319,18 +315,18 @@
         contentArea = self.get_content_area()
 
-        frame = gtk.Frame(xstr("timetable_book_frame_title"))
+        frame = Gtk.Frame(label = xstr("timetable_book_frame_title"))
         frame.set_size_request(600, -1)
 
-        mainAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        mainAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 0.0, yscale = 0.0)
         mainAlignment.set_padding(padding_top = 16, padding_bottom = 12,
                                   padding_left = 8, padding_right = 8)
 
-        table = gtk.Table(6, 2)
+        table = Gtk.Table(6, 2)
         table.set_row_spacings(8)
         table.set_col_spacings(16)
 
         row = 0
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup(xstr("timetable_book_callsign"))
         label.set_alignment(0.0, 0.5)
@@ -340,5 +336,5 @@
         if flightPair.flight1 is not None:
             text += " / " + flightPair.flight1.callsign
-        label = gtk.Label(text)
+        label = Gtk.Label(text)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 1, 2, row, row + 1)
@@ -346,5 +342,5 @@
         row += 1
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup(xstr("timetable_book_from_to"))
         label.set_alignment(0.0, 0.5)
@@ -355,5 +351,5 @@
         if flightPair.flight1 is not None:
             text += " - " + flightPair.flight1.arrivalICAO
-        label = gtk.Label(text)
+        label = Gtk.Label(text)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 1, 2, row, row + 1)
@@ -363,5 +359,5 @@
         if flightPair.flight0.type==ScheduledFlight.TYPE_VIP and \
            flightPair.flight0.date!=const.defaultDate:
-            label = gtk.Label()
+            label = Gtk.Label()
             label.set_markup(xstr("timetable_book_flightDate"))
             label.set_use_underline(True)
@@ -369,5 +365,5 @@
             table.attach(label, 0, 1, row, row + 1)
 
-            self._flightDate = gtk.Button()
+            self._flightDate = Gtk.Button()
             self._flightDate.connect("clicked", self._flightDateClicked)
             self._flightDate.set_tooltip_text(xstr("timetable_book_flightDate_tooltip"))
@@ -388,5 +384,5 @@
             self._calendarWindow = None
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup(xstr("timetable_book_dep_arr"))
         label.set_alignment(0.0, 0.5)
@@ -398,5 +394,5 @@
             text += " / " + str(flightPair.flight1.departureTime) + " - " + \
                     str(flightPair.flight1.arrivalTime)
-        label = gtk.Label(text)
+        label = Gtk.Label(text)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 1, 2, row, row + 1)
@@ -404,5 +400,5 @@
         row += 1
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup(xstr("timetable_book_duration"))
         label.set_alignment(0.0, 0.5)
@@ -415,5 +411,5 @@
             duration = flightPair.flight0.duration
             text += " / %02d:%02d" % (duration/3600, (duration%3600)/60)
-        label = gtk.Label(text)
+        label = Gtk.Label(text)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 1, 2, row, row + 1)
@@ -421,5 +417,5 @@
         row += 2
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup(xstr("timetable_book_tailNumber"))
         label.set_alignment(0.0, 0.5)
@@ -427,10 +423,10 @@
 
         self._planes = planes
-        tailNumbersModel = gtk.ListStore(str)
+        tailNumbersModel = Gtk.ListStore(str)
         for plane in planes:
             tailNumbersModel.append((plane.tailNumber,))
 
-        self._tailNumber = gtk.ComboBox(model = tailNumbersModel)
-        renderer = gtk.CellRendererText()
+        self._tailNumber = Gtk.ComboBox(model = tailNumbersModel)
+        renderer = Gtk.CellRendererText()
         self._tailNumber.pack_start(renderer, True)
         self._tailNumber.add_attribute(renderer, "text", 0)
@@ -445,7 +441,7 @@
         contentArea.pack_start(frame, True, True, 4)
 
-        self.add_button(xstr("button_cancel"), RESPONSETYPE_CANCEL)
-
-        self._okButton = self.add_button(xstr("button_book"), RESPONSETYPE_OK)
+        self.add_button(xstr("button_cancel"), Gtk.ResponseType.CANCEL)
+
+        self._okButton = self.add_button(xstr("button_book"), Gtk.ResponseType.OK)
         self._okButton.set_use_underline(True)
         self._okButton.set_can_default(True)
@@ -469,5 +465,5 @@
     def _flightDateClicked(self, button):
         """Called when the flight date button is clicked."""
-        self._calendarWindow.set_position(gtk.WIN_POS_MOUSE)
+        self._calendarWindow.set_position(Gtk.WindowPosition.MOUSE)
         self.set_focus(self._calendarWindow)
         self._calendarWindow.show_all()
@@ -485,5 +481,5 @@
 #-----------------------------------------------------------------------------
 
-class TimetableWindow(gtk.Window):
+class TimetableWindow(Gtk.Window):
     """The window to display the timetable."""
     typeFamilies = [
@@ -510,27 +506,28 @@
         self.connect("key-press-event", self._keyPressed)
 
-        mainAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        mainAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 1.0, yscale = 1.0)
         mainAlignment.set_padding(padding_top = 0, padding_bottom = 12,
                                   padding_left = 8, padding_right = 8)
 
-        vbox = gtk.VBox()
-
-        filterAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        vbox = Gtk.VBox()
+
+        filterAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                         xscale = 1.0, yscale = 1.0)
 
-        filterFrame = gtk.Frame(xstr("timetable_filter"))
-
-        filterVBox = gtk.VBox()
-
-        topAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        filterFrame = Gtk.Frame()
+        filterFrame.set_label(xstr("timetable_filter"))
+
+        filterVBox = Gtk.VBox()
+
+        topAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                      xscale = 0.0, yscale = 0.0)
-        topHBox = gtk.HBox()
-
-        label = gtk.Label(xstr("timetable_flightdate"))
+        topHBox = Gtk.HBox()
+
+        label = Gtk.Label(xstr("timetable_flightdate"))
         label.set_use_underline(True)
         topHBox.pack_start(label, False, False, 4)
 
-        self._flightDate = gtk.Button()
+        self._flightDate = Gtk.Button()
         self._flightDate.connect("clicked", self._flightDateClicked)
         self._flightDate.connect("clicked", self._flightDateClicked)
@@ -539,9 +536,9 @@
         topHBox.pack_start(self._flightDate, False, False, 4)
 
-        filler = gtk.Alignment()
+        filler = Gtk.Alignment()
         filler.set_size_request(48, 2)
         topHBox.pack_start(filler, False, True, 0)
 
-        self._regularFlights = gtk.CheckButton(xstr("timetable_show_regular"))
+        self._regularFlights = Gtk.CheckButton(xstr("timetable_show_regular"))
         self._regularFlights.set_use_underline(True)
         self._regularFlights.set_tooltip_text(xstr("timetable_show_regular_tooltip"))
@@ -550,5 +547,5 @@
         topHBox.pack_start(self._regularFlights, False, False, 8)
 
-        self._vipFlights = gtk.CheckButton(xstr("timetable_show_vip"))
+        self._vipFlights = Gtk.CheckButton(xstr("timetable_show_vip"))
         self._vipFlights.set_use_underline(True)
         self._vipFlights.set_tooltip_text(xstr("timetable_show_vip_tooltip"))
@@ -561,8 +558,8 @@
         filterVBox.pack_start(topAlignment, False, False, 4)
 
-        separator = gtk.HSeparator()
+        separator = Gtk.HSeparator()
         filterVBox.pack_start(separator, False, False, 4)
 
-        typeAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        typeAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                       xscale = 0.0, yscale = 0.0)
 
@@ -570,5 +567,5 @@
         numRows = (len(TimetableWindow.typeFamilies)+numColumns-1)/numColumns
 
-        typeTable = gtk.Table(numRows, numColumns)
+        typeTable = Gtk.Table(numRows, numColumns)
         typeTable.set_col_spacings(8)
         row = 0
@@ -576,5 +573,5 @@
         self._typeFamilyButtons = {}
         for typeFamily in TimetableWindow.typeFamilies:
-            checkButton = gtk.CheckButton(aircraftFamilyNames[typeFamily])
+            checkButton = Gtk.CheckButton(aircraftFamilyNames[typeFamily])
             checkButton.set_active(True)
             checkButton.connect("toggled", self._filterChanged)
@@ -602,9 +599,9 @@
         vbox.pack_start(self._timetable, True, True, 2)
 
-        alignment = gtk.Alignment(xalign = 1.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 1.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
-        buttonBox = gtk.HBox()
-
-        self._bookButton = gtk.Button(xstr("button_book"))
+        buttonBox = Gtk.HBox()
+
+        self._bookButton = Gtk.Button(xstr("button_book"))
         self._bookButton.set_use_underline(True)
         self._bookButton.set_can_default(True)
@@ -613,5 +610,5 @@
         buttonBox.pack_start(self._bookButton, False, False, 4);
 
-        self._closeButton = gtk.Button(xstr("button_close"))
+        self._closeButton = Gtk.Button(xstr("button_close"))
         self._closeButton.set_use_underline(True)
         self._closeButton.connect("clicked", self._closeClicked)
@@ -656,6 +653,7 @@
             typeFamilies.add(const.aircraftType2Family(aircraftType))
 
-        for (typeFamily, checkButton) in self._typeFamilyButtons.iteritems():
+        for (typeFamily, checkButton) in self._typeFamilyButtons.items():
             checkButton.set_sensitive(typeFamily in typeFamilies)
+            checkButton.set_active(typeFamily in typeFamilies)
 
     def clear(self):
@@ -681,5 +679,5 @@
     def _flightDateClicked(self, button):
         """Called when the flight date button is clicked."""
-        self._calendarWindow.set_position(gtk.WIN_POS_MOUSE)
+        self._calendarWindow.set_position(Gtk.WindowPosition.MOUSE)
         self.set_focus(self._calendarWindow)
         self._calendarWindow.show_all()
@@ -705,5 +703,5 @@
         If the Escape key is pressed, 'delete-event' is emitted to close the
         window."""
-        if gdk.keyval_name(event.keyval) == "Escape":
+        if Gdk.keyval_name(event.keyval) == "Escape":
             self.emit("delete-event", None)
             return True
@@ -712,5 +710,5 @@
         """Update the timetable list."""
         aircraftTypes = []
-        for (aircraftFamily, button) in self._typeFamilyButtons.iteritems():
+        for (aircraftFamily, button) in self._typeFamilyButtons.items():
             if button.get_active():
                 aircraftTypes += const.aircraftFamily2Types[aircraftFamily]
@@ -752,5 +750,5 @@
         planes = [plane for plane in fleet
                   if plane.aircraftType == aircraftType]
-        planes.sort(cmp = lambda p1, p2: cmp(p1.tailNumber, p2.tailNumber))
+        planes.sort(key = lambda p: p.tailNumber)
 
         dialog = BookDialog(self, flightPair, planes)
@@ -758,5 +756,5 @@
         result = dialog.run()
         dialog.hide()
-        if result==RESPONSETYPE_OK:
+        if result==Gtk.ResponseType.OK:
             flightIDs = [flightPair.flight0.id]
             if flightPair.flight1 is not None:
@@ -774,15 +772,15 @@
         """Called when the booking has finished."""
         if returned:
-            dialog = gtk.MessageDialog(parent = self,
-                                       type = MESSAGETYPE_INFO,
+            dialog = Gtk.MessageDialog(parent = self,
+                                       type = Gtk.MessageType.INFO,
                                        message_format = xstr("bookflights_successful"))
             dialog.format_secondary_markup(xstr("bookflights_successful_secondary"))
         else:
-            dialog = gtk.MessageDialog(parent = self,
-                                       type = MESSAGETYPE_ERROR,
+            dialog = Gtk.MessageDialog(parent = self,
+                                       type = Gtk.MessageType.ERROR,
                                        message_format = xstr("bookflights_failed"))
             dialog.format_secondary_markup(xstr("bookflights_failed_secondary"))
 
-        dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
+        dialog.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
         dialog.set_title(WINDOW_TITLE_BASE)
 
@@ -792,7 +790,7 @@
     def _createTimetablePopupMenu(self):
         """Get the popuop menu for the timetable."""
-        menu = gtk.Menu()
-
-        menuItem = gtk.MenuItem()
+        menu = Gtk.Menu()
+
+        menuItem = Gtk.MenuItem()
         menuItem.set_label(xstr("timetable_popup_book"))
         menuItem.set_use_underline(True)
Index: src/mlx/gui/update.py
===================================================================
--- src/mlx/gui/update.py	(revision 755)
+++ src/mlx/gui/update.py	(revision 996)
@@ -46,5 +46,5 @@
             return
 
-        Updater._progressWindow = window = gtk.Window()
+        Updater._progressWindow = window = Gtk.Window()
         window.set_title(WINDOW_TITLE_BASE + " " + xstr("update_title"))
         window.set_transient_for(parentWindow)
@@ -55,47 +55,44 @@
         window.connect("delete-event", lambda a, b: True)
         window.set_deletable(False)
-        window.set_position(gtk.WindowPosition.CENTER_ON_PARENT if pygobject
-                            else gtk.WIN_POS_CENTER_ON_PARENT)
-
-        mainAlignment = gtk.Alignment(xscale = 1.0)
+        window.set_position(Gtk.WindowPosition.CENTER_ON_PARENT)
+
+        mainAlignment = Gtk.Alignment(xscale = 1.0)
         mainAlignment.set_padding(padding_top = 4, padding_bottom = 10,
                                   padding_left = 16, padding_right = 16)
         window.add(mainAlignment)
 
-        mainVBox = gtk.VBox()
+        mainVBox = Gtk.VBox()
         mainAlignment.add(mainVBox)
 
-        labelAlignment = gtk.Alignment(xalign = 0.0, xscale = 0.0)
-        Updater._progressLabel = progressLabel = gtk.Label()
+        labelAlignment = Gtk.Alignment(xalign = 0.0, xscale = 0.0)
+        Updater._progressLabel = progressLabel = Gtk.Label()
         labelAlignment.add(progressLabel)
         mainVBox.pack_start(labelAlignment, True, True, 4)
         
-        Updater._progressBar = progressBar = gtk.ProgressBar()
+        Updater._progressBar = progressBar = Gtk.ProgressBar()
         mainVBox.pack_start(progressBar, True, True, 4)
 
-        buttonAlignment = gtk.Alignment(xalign = 0.5, xscale = 0.1)
-        Updater._progressOKButton = progressOKButton = gtk.Button("OK")
+        buttonAlignment = Gtk.Alignment(xalign = 0.5, xscale = 0.1)
+        Updater._progressOKButton = progressOKButton = Gtk.Button("OK")
         buttonAlignment.add(progressOKButton)        
         mainVBox.pack_start(buttonAlignment, True, True, 4)
 
         Updater._sudoDialog = sudoDialog = \
-            gtk.Dialog(WINDOW_TITLE_BASE + " " + xstr("update_title"),
+            Gtk.Dialog(WINDOW_TITLE_BASE + " " + xstr("update_title"),
                        parentWindow,
-                       gtk.DialogFlags.MODAL if pygobject else gtk.DIALOG_MODAL)
+                       Gtk.DialogFlags.MODAL)
         sudoDialog.add_button(xstr("button_cancel"), 0)
         sudoDialog.add_button(xstr("button_ok"), 1)
                        
-        infoLabelAlignment = gtk.Alignment(xalign = 0.5, xscale = 0.1)
+        infoLabelAlignment = Gtk.Alignment(xalign = 0.5, xscale = 0.1)
         infoLabelAlignment.set_padding(padding_top = 4, padding_bottom = 10,
                                        padding_left = 16, padding_right = 16)
 
-        infoLabel = gtk.Label(xstr("update_needsudo"))
-        infoLabel.set_justify(gtk.Justification.CENTER if pygobject
-                              else gtk.JUSTIFY_CENTER)
+        infoLabel = Gtk.Label(xstr("update_needsudo"))
+        infoLabel.set_justify(Gtk.Justification.CENTER)
         infoLabelAlignment.add(infoLabel)
         sudoDialog.vbox.pack_start(infoLabelAlignment, True, True, 4)
 
-        sudoDialog.set_position(gtk.WindowPosition.CENTER_ON_PARENT if pygobject
-                                else gtk.WIN_POS_CENTER_ON_PARENT)
+        sudoDialog.set_position(Gtk.WindowPosition.CENTER_ON_PARENT)
 
     def __init__(self, gui, programDirectory, updateURL, parentWindow):
@@ -120,13 +117,13 @@
     def run(self):
         """Execute the thread's operation."""
-        gobject.idle_add(self._startUpdate)
+        GObject.idle_add(self._startUpdate)
         update(self._programDirectory, self._updateURL, self, fromGUI = True)
         if not self._waitAfterFinish:
-            gobject.idle_add(self._progressWindow.hide)
+            GObject.idle_add(self._progressWindow.hide)
             self._gui.updateDone()
 
     def downloadingManifest(self):
         """Called when the downloading of the manifest has started."""
-        gobject.idle_add(self._downloadingManifest)
+        GObject.idle_add(self._downloadingManifest)
 
     def _downloadingManifest(self):
@@ -137,5 +134,5 @@
     def downloadedManifest(self):
         """Called when the downloading of the manifest has finished."""
-        gobject.idle_add(self._downloadedManifest)
+        GObject.idle_add(self._downloadedManifest)
 
     def _downloadedManifest(self):
@@ -147,5 +144,5 @@
         """Called when the program is interested in whether we want to run a
         program with administrator rights to do the update."""
-        gobject.idle_add(self._needSudo)
+        GObject.idle_add(self._needSudo)
         with self._sudoCondition:
             while self._sudoReply is None:
@@ -187,5 +184,5 @@
         """Called when a certain number of bytes are downloaded."""
         self._downloaded = downloaded
-        gobject.idle_add(self._setDownloaded, downloaded)
+        GObject.idle_add(self._setDownloaded, downloaded)
 
     def _setDownloaded(self, downloaded):
@@ -197,5 +194,5 @@
     def startRenaming(self):
         """Called when the renaming of files has started."""
-        gobject.idle_add(self._startRenaming)
+        GObject.idle_add(self._startRenaming)
 
     def _startRenaming(self):
@@ -206,5 +203,5 @@
         """Called when a file has been renamed."""
         self._numModifiedOrNew = count
-        gobject.idle_add(self._renamed, path, count)
+        GObject.idle_add(self._renamed, path, count)
 
     def _renamed(self, path, count):
@@ -215,5 +212,5 @@
     def startRemoving(self):
         """Called when the removing of files has started."""
-        gobject.idle_add(self._startRemoving)
+        GObject.idle_add(self._startRemoving)
 
     def _startRemoving(self):
@@ -224,5 +221,5 @@
         """Called when a file has been removed."""
         self._numRemoved = count
-        gobject.idle_add(self._removed, path, count)
+        GObject.idle_add(self._removed, path, count)
 
     def _removed(self, path, count):
@@ -233,5 +230,5 @@
     def writingManifest(self):
         """Called when the writing of the new manifest file has started."""
-        gobject.idle_add(self._writingManifest)
+        GObject.idle_add(self._writingManifest)
 
     def _writingManifest(self):
@@ -241,5 +238,5 @@
     def done(self):
         """Called when the update has been done."""
-        gobject.idle_add(self._done)
+        GObject.idle_add(self._done)
         self._restart = self._waitAfterFinish
 
@@ -264,5 +261,5 @@
         """Called when the downloading has failed."""
         self._waitAfterFinish = True
-        gobject.idle_add(self._failed, what)
+        GObject.idle_add(self._failed, what)
 
     def _failed(self, what):
